/* ========================================================================
   =================    TVicHW32  DLL interface        =====================
   ==========            Shareware Version 2.2                  ===========
   ==========     Copyright (c) 1997 Victor I.Ishikeev          ===========
   ========================================================================
   ==========         mail to "victor@ivi.ugatu.ac.ru"          ===========
   ======================================================================== */


#if defined(WIN32)

#define VICFN  __stdcall
#define BT848_DLL  __stdcall
#else
#define VICFN  __pascal far
#define BT848_DLL  __pascal far
#endif // defined(WIN32)

#ifdef __cplusplus
    extern "C" {
#endif

unsigned char (PASCAL *OpenTVicHW32)(void);
//unsigned char  VICFN OpenTVicHW32(void);
void  (PASCAL *CloseTVicHW32)(void);
//void  VICFN CloseTVicHW32(void);

void  VICFN UnmapMemory(void);

void* (PASCAL *MapPhysToLinear)(DWORD,DWORD) ;
//void* VICFN MapPhysToLinear(DWORD, DWORD);

void  VICFN SetIRQ(BYTE, void*);
void  VICFN UnMaskIRQ(void);
void  VICFN MaskIRQ(void);
void  VICFN DestroyIRQ(void);
DWORD VICFN GetInterruptCounter(void);
void  VICFN SimulateHWInt(void);

BYTE  VICFN ReadPort(WORD);
WORD  VICFN ReadPortW(WORD);
DWORD (PASCAL* ReadPortL)(WORD);
//DWORD VICFN ReadPortL(WORD);
void  VICFN WritePort(WORD, BYTE);
void  VICFN WritePortW(WORD, WORD);
void  (PASCAL *WritePortL)(WORD, DWORD);
//void  VICFN WritePortL(WORD, DWORD);

void  (PASCAL *WriteTvFreq)(WORD);
//void  BT848_DLL WriteTvFreq(WORD);
void  (PASCAL *I2CInitSW)(void);

unsigned char  (PASCAL *TestHardAccess)(void);
//unsigned char  VICFN TestHardAccess(void);
unsigned char  VICFN IsIRQSet(void);

unsigned char  (PASCAL *IsDriverOpened)(void);

unsigned char  VICFN IsMasked(void);
void  (PASCAL *SetHardAccess)(unsigned char);
//void  VICFN SetHardAccess(unsigned char);

#ifdef __cplusplus
	}
#endif
