#ifndef __MMXDECODE_H
#define __MMXDECODE_H


#include "ccrypt.h"

class dukedecoder: public VirtualDecoder
{
	public:
		dukedecoder();

		void decodeFrame(unsigned char *membase, int offset, bool invert_polarity);

		virtual bool usesMMX(void) const { return(true); }

		virtual int convertRawXToScreenX(int x) const 
			{ return((x-getColorBurstWidth())/5); }

		virtual int convertScreenXToRawX(int x) const
			{ return(x*5+getColorBurstWidth()); }
	      virtual void processKey(WPARAM key);
		virtual const char* getHelp(void) const;  

};

#endif

